Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065216 - Compare two cartridges which have at least one in deactivate state via oo-admin-ctl-cartridge will show incorrect result.
Summary: Compare two cartridges which have at least one in deactivate state via oo-adm...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Clayton Coleman
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 06:43 UTC by Liang Xia
Modified: 2015-05-15 00:25 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-25 22:23:30 UTC


Attachments (Terms of Use)

Description Liang Xia 2014-02-14 06:43:32 UTC
Description of problem:
Compare two cartridges in activate and deactivate via oo-admin-ctl-cartridge will show:
No differences between the specified carts
Compare two cartridges in deactivate via oo-admin-ctl-cartridge will show:
No cartridges match

Version-Release number of selected component (if applicable):
devenv_4374

How reproducible:
always

Steps to Reproduce:
1.Compare cartridges, e.g, mysql-5.1,mysql-5.5
# oo-admin-ctl-cartridge -c diff --name mysql-5.1,mysql-5.5
2.Deactivate one cartridge
# oo-admin-ctl-cartridge -c deactivate --name mysql-5.1
3.Compare cartridges
# oo-admin-ctl-cartridge -c diff --name mysql-5.1,mysql-5.5
4.Deactive another cartridge
# oo-admin-ctl-cartridge -c deactivate --name mysql-5.5
5.Compare cartridges
# oo-admin-ctl-cartridge -c diff --name mysql-5.1,mysql-5.5

Actual results:
Step 1 show the differences between the two cartridges.
Step 3 show "No differences between the specified carts".
Step 5 show "No cartridges match".

Expected results:
Both step 1/3/5 should show the differences of the two cartridges

Additional info:

Comment 1 Abhishek Gupta 2014-02-25 21:41:16 UTC
Clayton: Can you please take a look at this?

Comment 2 Clayton Coleman 2014-02-25 22:23:30 UTC
--name only applies to active cartridges.  If you want to compare inactive carts you need to use --ids


Note You need to log in before you can comment on or make changes to this bug.